/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\MagmaSerpent.cs
Lines of code: 74
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a magma serpents corpse" )]
	public class MagmaSerpent : BaseCreature
	{
		[Constructable]
		public MagmaSerpent() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a magma serpent";
			Body = 150;
			BaseSoundID = 447;

			Hue = 1259;

			SetStr( 251, 425 );
			SetDex( 87, 135 );
			SetInt( 87, 155 );

			SetHits( 551, 555 );

			SetDamage( 40, 68 );

			SetDamageType( ResistanceType.Fire, 100 );

			SetResistance( ResistanceType.Physical, 50, 60 );
			SetResistance( ResistanceType.Fire, 150, 220 );
			SetResistance( ResistanceType.Cold, 15, 20 );
			SetResistance( ResistanceType.Poison, 20, 30 );
			SetResistance( ResistanceType.Energy, 50, 60 );

			SetSkill( SkillName.MagicResist, 75.2, 83.0 );
			SetSkill( SkillName.Tactics, 70.1, 80.0 );
			SetSkill( SkillName.Wrestling, 120);
			SetSkill( SkillName.EvalInt, 104.3, 109.3 );
			SetSkill( SkillName.Magery, 105.6, 110.6 );
			SetSkill( SkillName.Meditation, 101.1, 110.0 );

			Fame = 25000;
			Karma = -25000;

			VirtualArmor = 60;
			CantWalk = true;

			if ( Utility.RandomBool() )
				PackItem( new SulfurousAsh( 40 ) );
			else
				PackItem( new BlackPearl( 20 ) );	
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich, 2 );
			AddLoot( LootPack.Average, 2 );
		}

		public override bool HasBreath{ get{ return true; } }
		public override int Meat{ get{ return 6; } }
		public override int Hides{ get{ return 16; } }
		public override HideType HideType{ get{ return HideType.Horned; } }
		public override int Scales{ get{ return 10; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Red; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override int breathtargets{ get{ return 6; } }
		public override int BreathEffectHue{ get{ return 33; } }
		public override double BreathMinDelay{ get{ return 2.0; } }
		public override double BreathMaxDelay{ get{ return 4.0; } }
		public override int BonusHPR{ get{ return 25; } }

		public MagmaSerpent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}